{
    "name" : "VAVABUY",
    "appid" : "__UNI__0358C1D",
    "description" : "VAVABUY",
    "versionName" : "1.7.8",
    "versionCode" : 1708,
    "transformPx" : false,
    /* 5+App特有相关 */
    "app-plus" : {
        "usingComponents" : true,
        "nvueStyleCompiler" : "uni-app",
        "compilerVersion" : 3,
        "splashscreen" : {
            "alwaysShowBeforeRender" : true,
            "waiting" : true,
            "autoclose" : true,
            "delay" : 0
        },
        /* 模块配置 */
        "modules" : {
            "OAuth" : {},
            "Camera" : {},
            "Push" : {},
            "VideoPlayer" : {},
            "Record" : {}
        },
        /* 应用发布信息 */
        "distribute" : {
            /* android打包配置 */
            "android" : {
                "permissions" : [
                    "<uses-feature android:name=\"android.hardware.camera\"/>",
                    "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CAMERA\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
                    "<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>",
                    "<uses-permission android:name=\"android.permission.INTERNET\"/>",
                    "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
                    "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>",
                    "<uses-permission android:name=\"android.permission.FOREGROUND_SERVICE\"/>",
                    "<uses-permission android:name=\"android.permission.GET_TASKS\"/>"
                ],
                "targetSdkVersion" : 36,
                "minSdkVersion" : 21,
                "excludePermissions" : [
                    "<uses-permission android:name=\"com.google.android.gms.permission.AD_ID\"/>"
                ],
                "permissionOptions" : {
                    "READ_EXTERNAL_STORAGE" : {
                        "description" : "Used for functions such as uploading avatars and saving chat images."
                    },
                    "CAMERA" : {
                        "description" : "Used for taking chat photos and scanning QR codes."
                    }
                }
            },
            /* ios打包配置 */
            "ios" : {
                "dSYMs" : false,
                "idfa" : true,
                "privacyDescription" : {
                    "NSUserTrackingUsageDescription" : "Please rest assured that enabling this permission will not allow access to your private information on other sites. This permission is only used to identify your device, ensure service security, and enhance your browsing experience.",
                    "NSPhotoLibraryUsageDescription" : "To upload a user avatar or search for content based on image information, access to the photo album is required.",
                    "NSCameraUsageDescription" : "To upload a user avatar or search for content based on image information, access to the camera is required."
                }
            },
            /* SDK配置 */
            "sdkConfigs" : {
                "oauth" : {
                    "google" : {
                        "clientid" : "132211687127-bo929nasc04jk3927j07facbgovfv9vj.apps.googleusercontent.com"
                    },
                    "facebook" : {
                        "appid" : "501088503016892"
                    }
                },
                "share" : {
                    "weixin" : {
                        "appid" : "",
                        "UniversalLinks" : ""
                    }
                },
                "push" : {
                    "unipush" : {
                        "version" : "2",
                        "offline" : true,
                        "hms" : {},
                        "icons" : {
                            "small" : {
                                "hdpi" : "unpackage/res/icons/36x36.png"
                            }
                        }
                    }
                },
                "ad" : {},
                "payment" : {}
            },
            "icons" : {
                "android" : {
                    "hdpi" : "unpackage/res/icons/72x72.png",
                    "xhdpi" : "unpackage/res/icons/96x96.png",
                    "xxhdpi" : "unpackage/res/icons/144x144.png",
                    "xxxhdpi" : "unpackage/res/icons/192x192.png"
                },
                "ios" : {
                    "appstore" : "unpackage/res/icons/1024x1024.png",
                    "ipad" : {
                        "app" : "unpackage/res/icons/76x76.png",
                        "app@2x" : "unpackage/res/icons/152x152.png",
                        "notification" : "unpackage/res/icons/20x20.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "proapp@2x" : "unpackage/res/icons/167x167.png",
                        "settings" : "unpackage/res/icons/29x29.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "spotlight" : "unpackage/res/icons/40x40.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png"
                    },
                    "iphone" : {
                        "app@2x" : "unpackage/res/icons/120x120.png",
                        "app@3x" : "unpackage/res/icons/180x180.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "notification@3x" : "unpackage/res/icons/60x60.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "settings@3x" : "unpackage/res/icons/87x87.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png",
                        "spotlight@3x" : "unpackage/res/icons/120x120.png"
                    }
                }
            },
            "splashscreen" : {
                "androidStyle" : "default",
                "useOriginalMsgbox" : true,
                "iosStyle" : "storyboard",
                "ios" : {
                    "storyboard" : "C:/Users/PC/Desktop/前端项目/资料/vavabuy_App_资料/CustomStoryboard.zip"
                }
            }
        },
        "locales" : {
            "en" : {
                "ios" : {
                    "privacyDescription" : {
                        "NSUserTrackingUsageDescription" : "Rest assured, enabling this permission won't access your private info from other sites. It's only used to identify your device, ensure service security, and improve your browsing experience.",
                        "NSPhotoLibraryUsageDescription" : "Need access to your photo album to upload a profile picture or search using image info.",
                        "NSCameraUsageDescription" : "Need access to your photo album to upload a profile picture or search using image info."
                    }
                }
            },
            "es" : {
                "ios" : {
                    "privacyDescription" : {
                        "NSUserTrackingUsageDescription" : "No te preocupes, activar este permiso no accederá a tu información privada de otros sitios. Solo se usa para identificar el dispositivo, garantizar la seguridad del servicio y mejorar tu experiencia de navegación.",
                        "NSPhotoLibraryUsageDescription" : "Se necesita acceso a tu álbum de fotos para subir una foto de perfil o buscar usando información de imágenes.",
                        "NSCameraUsageDescription" : "Se necesita acceso a tu álbum de fotos para subir una foto de perfil o buscar usando información de imágenes."
                    }
                }
            }
        },
        "safearea" : {
            "bottom" : {
                "offset" : "none"
            }
        }
    },
    /* 快应用特有相关 */
    "quickapp" : {},
    /* 小程序特有相关 */
    "mp-weixin" : {
        "appid" : "",
        "setting" : {
            "urlCheck" : false
        },
        "usingComponents" : true,
        "mergeVirtualHostAttributes" : true
    },
    "mp-alipay" : {
        "usingComponents" : true
    },
    "mp-baidu" : {
        "usingComponents" : true
    },
    "mp-toutiao" : {
        "usingComponents" : true,
        "mergeVirtualHostAttributes" : true
    },
    "uniStatistics" : {
        "enable" : false
    },
    "vueVersion" : "3"
}
/* ios打包配置 *//* SDK配置 */

